Bug 1477906 - [Docs][Appliance Hardening] Add ports table for OpenShift Container Platform
[Docs][Appliance Hardening] Add ports table for OpenShift Container Platform
Status: CLOSED CURRENTRELEASE
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Documentation (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity high
: GA
: cfme-future
Assigned To: Dayle Parker
Chris Budzilowicz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-03 03:49 EDT by Dayle Parker
Modified: 2017-09-04 00:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-04 00:18:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dayle Parker 2017-08-03 03:49:11 EDT
Document URL: https://access.redhat.com/documentation/en-us/red_hat_cloudforms/4.5/html-single/appliance_hardening_guide/#chap_red_hat_cloudforms_security_guide_firewall

Section Number and Name: 3.1. Configuring Firewall Ports

There is no ports table for OpenShift Container Platform; this should be added to this guide -- Jeff Watts mentioned this during a recent chat.
Comment 2 Dayle Parker 2017-08-07 21:19:44 EDT
Federico Simonelli has provided these ports (there may be more):

# OpenShift Ports Used by CloudForms Management Engine

Inittiator: CFME Appliance
Receiver: OpenShift Master (or Load Balancer)
Application: HTTPS
Port: 8443
Purpose: Communication from CFME Appliance to OpenShift API

Inittiator: CFME Appliance
Receiver: OpenShift Routers (or Load Balancer)
Application: HTTPS
Port: 443
Purpose: Communication from CFME Appliance to OpenShift Services (e.g. metrics, etc.).

Note You need to log in before you can comment on or make changes to this bug.